import { httpApi } from '../request/httpApi'

export default {
    //查询项目列表接口
    async getProjectList() {
        return httpApi({
            url: '/api/index/project/list',
            method: 'get',
            params: {},
        }, false)
    },
    //查询传感器数据表格分页列表
    async getPageList(form) {
        return httpApi({
            url: '/api/index/sensors/data/tab-page',
            method: 'POST',
            data: form,
        }, false)
    },
    //查询传感器数据图表列表
    async getChartList(form) {
        return httpApi({
            url: '/api/index/sensors/data/chart-list',
            method: 'POST',
            data: form,
        }, false)
    },
    async getGroupList(form) {
        return httpApi({
            url: '/api/index/sensors/group/list',
            method: 'GET',
            params: form,
        }, false)
    },
}
